<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
    <meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0,maximum-scale=1">

    <link rel="profile" href="http://gmpg.org/xfn/11" />

    <!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri() . '/assets/scripts/ie-support/html5.js'; ?>"></script>
		<script src="<?php echo get_template_directory_uri() . '/assets/scripts/ie-support/respond.js'; ?>"></script>
		<![endif]-->

		<?php wp_head(); ?>
	</head>

	<body <?php body_class(); ?>>
    <div id="site-content">
			<div class="site-header">
				<div class="container">
					<a href="<?php echo home_url(); ?>" id="branding">
						<?php if ( get_theme_mod( 'tz_logo' ) ) { ?>
							<img src="<?php echo get_theme_mod( 'tz_logo' ); ?>" alt="" class="logo">
						<?php } ?>
						<div class="logo-text">
							<h1 class="site-title"><?php bloginfo( 'site_name' ); ?></h1>
							<small class="site-description"><?php bloginfo( 'description' ); ?></small>
						</div>
					</a> <!-- #branding -->

					<!-- Default snippet for navigation -->
					<div class="main-navigation">
						<button type="button" class="menu-toggle"><i class="fa fa-bars"></i></button>
						<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
              <?php wp_nav_menu( array( 'theme_location' => 'primary-menu' ) ); ?>
            <?php } ?>
					</div> <!-- .main-navigation -->

					<div class="mobile-navigation"></div>
				</div>
			</div> <!-- .site-header -->
