<?php

add_action( 'add_meta_boxes', 'tz_metabox_post' );
function tz_metabox_post() {
	$meta_box = array(
		'id' => 'tz_metabox_post',
		'title' =>  __( 'Post Options', 'architecture' ),
		'description' => __( 'These options enable you to customize your post', 'architecture' ),
		'page' => 'post',
		'context' => 'normal',
		'priority' => 'high',
		'fields' => array(
			array(
				'name' => __( 'Summary', 'architecture' ),
				'desc' => __( 'Enter short description for post', 'architecture' ),
				'id' => '_tz_post_summary',
				'type' => 'textarea',
				'std' => ''
			)
		)
	);

	tz_add_meta_box( $meta_box );
}
